summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDale Rahn <drahn@cvs.openbsd.org>2005-01-13 19:17:26 +0000
committerDale Rahn <drahn@cvs.openbsd.org>2005-01-13 19:17:26 +0000
commitf5b97e9b5d35932b98d2a5571688fdf842679267 (patch)
tree8639a24675773555f1601738240269e1292c6c71
parent9baaa89847fb53ec5b8efb870aa00fadf95d030c (diff)
build on zaurus too, after further discusssion, because MANSUBDIR needs
updating it will be explicit MACHINE
-rw-r--r--sbin/kbd/Makefile7
-rw-r--r--sbin/wsconsctl/Makefile6
2 files changed, 8 insertions, 5 deletions
diff --git a/sbin/kbd/Makefile b/sbin/kbd/Makefile
index c2a7a59e67f..55bd8bf81b4 100644
--- a/sbin/kbd/Makefile
+++ b/sbin/kbd/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.24 2004/08/06 22:56:16 deraadt Exp $
+# $OpenBSD: Makefile,v 1.25 2005/01/13 19:17:25 drahn Exp $
#
# Be sure to change src/distrib/special/kbd/Makefile as well if you add
@@ -8,7 +8,8 @@
(${MACHINE} == "alpha") || (${MACHINE} == "macppc") || \
(${MACHINE} == "hppa") || (${MACHINE} == "sparc") || \
(${MACHINE} == "sparc64") || (${MACHINE} == "vax") || \
- (${MACHINE} == "sgi") || (${MACHINE} == "cats")
+ (${MACHINE} == "sgi") || (${MACHINE} == "cats") || \
+ (${MACHINE} == "zaurus")
PROG= kbd
@@ -21,6 +22,6 @@ NOPROG= Yes
.endif
MAN= kbd.8
-MANSUBDIR= alpha hppa i386 macppc sgi sparc sparc64 vax amd64 cats
+MANSUBDIR= alpha hppa i386 macppc sgi sparc sparc64 vax amd64 cats zaurus
.include <bsd.prog.mk>
diff --git a/sbin/wsconsctl/Makefile b/sbin/wsconsctl/Makefile
index 98d6950a38b..9ef0c977ad4 100644
--- a/sbin/wsconsctl/Makefile
+++ b/sbin/wsconsctl/Makefile
@@ -1,10 +1,11 @@
-# $OpenBSD: Makefile,v 1.20 2004/08/06 22:41:07 pefo Exp $
+# $OpenBSD: Makefile,v 1.21 2005/01/13 19:17:25 drahn Exp $
.if ${MACHINE} == "alpha" || ${MACHINE} == "amd64" || \
${MACHINE} == "cats" || ${MACHINE} == "hppa" || \
${MACHINE} == "i386" || ${MACHINE} == "luna88k" || \
${MACHINE} == "macppc" || ${MACHINE} == "sparc" || \
- ${MACHINE} == "sgi" || ${MACHINE} == "sparc64"
+ ${MACHINE} == "sgi" || ${MACHINE} == "sparc64" || \
+ ${MACHINE} == "zaurus"
PROG= wsconsctl
SRCS= display.c keyboard.c keysym.c map_parse.y map_scan.l \
@@ -26,5 +27,6 @@ NOPROG=yes
MAN= wsconsctl.8
MANSUBDIR= alpha amd64 cats hppa i386 luna88k macppc sgi sparc sparc64
+MANSUBDIR+= zaurus
.include <bsd.prog.mk>